Gecode::Gist::StatCursor Class Reference

A cursor that collects statistics. More...

`#include <nodecursor.hh>`

## Public Member Functions

| StatCursor (VisualNode *theNode, const VisualNode::NodeAllocator &na)
| Constructor.
Public Member Functions inherited from Gecode::Gist::NodeCursor< VisualNode >
| NodeCursor (VisualNode *theNode, const typename VisualNode::NodeAllocator &na)
| Construct cursor, initially set to theNode.
unsigned int | alternative (void)
| Return current alternative.
bool | mayMoveUpwards (void)
| Test if the cursor may move to the parent node.
void | moveUpwards (void)
| Move cursor to the parent node.
bool | mayMoveDownwards (void)
| Test if cursor may move to the first child node.
void | moveDownwards (void)
| Move cursor to the first child node.
bool | mayMoveSidewards (void)
| Test if cursor may move to the first sibling.
void | moveSidewards (void)
| Move cursor to the first sibling.

## Public Attributes

int | depth
| Depth of the search tree.
int | failed
| Number of failed nodes.
int | solved
| Number of solved nodes.
int | choice
| Number of choice nodes.
int | open
| Number of open nodes.

## Cursor interface

void | processCurrentNode (void)
| Collect statistics.
void | moveDownwards (void)
| Move cursor to the first child node.
void | moveUpwards (void)
| Move cursor to the parent node.

## Additional Inherited Members

Protected Member Functions inherited from Gecode::Gist::NodeCursor< VisualNode >
void | node (VisualNode *n)
| Set current node to n.
VisualNode * | startNode (void)
| Return start node.
Protected Attributes inherited from Gecode::Gist::NodeCursor< VisualNode >
const VisualNode::NodeAllocator & | na
| The node allocator.

## Detailed Description

A cursor that collects statistics.

Definition at line 158 of file nodecursor.hh.

## Constructor & Destructor Documentation

## StatCursor()

Gecode::Gist::StatCursor::StatCursor | ( | VisualNode * | theNode,
|  | const VisualNode::NodeAllocator & | na )

inline

Constructor.

Definition at line 225 of file nodecursor.hpp.

## Member Function Documentation

## processCurrentNode()

void Gecode::Gist::StatCursor::processCurrentNode | ( | void |  | ) |

inline

Collect statistics.

Definition at line 231 of file nodecursor.hpp.

## moveDownwards()

void Gecode::Gist::StatCursor::moveDownwards | ( | void |  | ) |

inline

Move cursor to the first child node.

Definition at line 243 of file nodecursor.hpp.

## moveUpwards()

void Gecode::Gist::StatCursor::moveUpwards | ( | void |  | ) |

inline

Move cursor to the parent node.

Definition at line 250 of file nodecursor.hpp.

## Member Data Documentation

## depth

int Gecode::Gist::StatCursor::depth

Depth of the search tree.

Definition at line 164 of file nodecursor.hh.

## failed

int Gecode::Gist::StatCursor::failed

Number of failed nodes.

Definition at line 166 of file nodecursor.hh.

## solved

int Gecode::Gist::StatCursor::solved

Number of solved nodes.

Definition at line 168 of file nodecursor.hh.

## choice

int Gecode::Gist::StatCursor::choice

Number of choice nodes.

Definition at line 170 of file nodecursor.hh.

## open

int Gecode::Gist::StatCursor::open

Number of open nodes.

Definition at line 172 of file nodecursor.hh.

The documentation for this class was generated from the following files:

- gecode/gist/nodecursor.hh
- gecode/gist/nodecursor.hpp